Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: ownershipHistory.list
透過集合功能整理內容
你可以依據偏好儲存及分類內容。
無論是哪位內容擁有者提供資料,都能擷取資產的擁有權資料清單。這份清單只會列出每位內容擁有者的最新擁有權資料。不過,如果內容擁有者透過多個資料來源 (API、內容動態饋給等) 提交擁有權資料,清單就會包含每個內容擁有者和資料來源的最新資料。
HTTP 要求
GET https://youtubepartner.googleapis.com/youtube/partner/v1/ownershipHistory
這個網址使用 gRPC 轉碼語法。
查詢參數
| 參數 |
assetId |
string
assetId 參數會指定你要擷取擁有權資料歷程記錄的 YouTube 資產 ID。
|
onBehalfOfContentOwner |
string
onBehalfOfContentOwner 參數會指出使用者所代表的內容擁有者。這個參數支援帳戶與多個內容擁有者相關聯的使用者。
|
回應主體
與資產相關聯的 ownershipHistory 資源清單。
如果成功,回應主體會含有以下結構的資料:
| 欄位 |
kind |
string
API 回應的類型。對於這項作業,值為 youtubePartner#ownershipHistoryList。
|
items[] |
object (RightsOwnershipHistory)
符合要求條件的擁有權記錄 (youtubePartner#ownershipHistory) 資源清單。
|
授權範圍
需要下列 OAuth 範圍:
https://www.googleapis.com/auth/youtubepartner
詳情請參閱 OAuth 2.0 Overview。
保留所有權利。Java 是 Oracle 和/或其關聯企業的註冊商標。
上次更新時間:2025-08-21 (世界標準時間)。
[[["容易理解","easyToUnderstand","thumb-up"],["確實解決了我的問題","solvedMyProblem","thumb-up"],["其他","otherUp","thumb-up"]],[["缺少我需要的資訊","missingTheInformationINeed","thumb-down"],["過於複雜/步驟過多","tooComplicatedTooManySteps","thumb-down"],["過時","outOfDate","thumb-down"],["翻譯問題","translationIssue","thumb-down"],["示例/程式碼問題","samplesCodeIssue","thumb-down"],["其他","otherDown","thumb-down"]],["上次更新時間:2025-08-21 (世界標準時間)。"],[],["This document details retrieving asset ownership history via the YouTube Partner API. A `GET` request to `https://youtubepartner.googleapis.com/youtube/partner/v1/ownershipHistory` is used, with an empty request body. Required query parameters include `assetId` to specify the asset and `onBehalfOfContentOwner` to identify the relevant content owner. The successful response contains a JSON object with a `kind` field, and an `items` array of `ownershipHistory` resources. Authorization requires the `https://www.googleapis.com/auth/youtubepartner` OAuth scope.\n"]]